NVIDIA GeForce 7300 GT Graphics Card in 2006 MacPro
Have the above card in my Intel MacPro1,1 (2006), 2.66 GHZ, 2 processors, 4 cores, 1.33 GHZ bus, 12 G DDR2 FB-DIMM, run two 30" cinema displays, blew 6 ATI Radeon 1900X cards before putting this in. Need another card so each monitor has it's own card. Any Suggestions?
Have the above card in my Intel MacPro1,1 (2006), 2.66 GHZ, 2 processors, 4 cores, 1.33 GHZ bus, 12 G DDR2 FB-DIMM, run two 30" cinema displays, blew 6 ATI Radeon 1900X cards before putting this in. Need another card so each monitor has it's own card. Any Suggestions?

#1
Posted 09/30/2010 01:27 AM   
Have the above card in my Intel MacPro1,1 (2006), 2.66 GHZ, 2 processors, 4 cores, 1.33 GHZ bus, 12 G DDR2 FB-DIMM, run two 30" cinema displays, blew 6 ATI Radeon 1900X cards before putting this in. Need another card so each monitor has it's own card. Any Suggestions?
Have the above card in my Intel MacPro1,1 (2006), 2.66 GHZ, 2 processors, 4 cores, 1.33 GHZ bus, 12 G DDR2 FB-DIMM, run two 30" cinema displays, blew 6 ATI Radeon 1900X cards before putting this in. Need another card so each monitor has it's own card. Any Suggestions?

#2
Posted 09/30/2010 01:27 AM   
Your best bet is probably Ebay for a used older card. Apple doesn't sell any graphics cards today that will work with your Mac Pro new. All current graphics cards require a MAc Pro 3,1 or higher.
Your best bet is probably Ebay for a used older card. Apple doesn't sell any graphics cards today that will work with your Mac Pro new. All current graphics cards require a MAc Pro 3,1 or higher.

Please send me a PM if I fail to keep up on replying in any specific thread or leave a driver feedback: Driver Feedback

#3
Posted 09/30/2010 02:02 AM   
Your best bet is probably Ebay for a used older card. Apple doesn't sell any graphics cards today that will work with your Mac Pro new. All current graphics cards require a MAc Pro 3,1 or higher.
Your best bet is probably Ebay for a used older card. Apple doesn't sell any graphics cards today that will work with your Mac Pro new. All current graphics cards require a MAc Pro 3,1 or higher.

Please send me a PM if I fail to keep up on replying in any specific thread or leave a driver feedback: Driver Feedback

#4
Posted 09/30/2010 02:02 AM   
Scroll To Top